SDL_GetGamepadBindings(3)

NAME
SDL_GetGamepadBindings - Get the SDL joystick layer bindings for a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GamepadBinding ** SDL_GetGamepadBindings(SDL_Gamepad *gamepad, int *count);

FUNCTION PARAMETERS

gamepad
    a gamepad.

count
    a pointer filled in with the number of bindings returned.

RETURN VALUE
( SDL_GamepadBinding ) Returns a NULL terminated array of pointers to bindings or NULL on failure; call

SDL_GetError () for more information. This is a single allocation that should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.